$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.29.11-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.29.11-BETA.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'D3DB11826F3BDD35992CAE547E2DF1D30A7592264E6B28B03776EB0935400D27'
  checksumType = 'sha256'
  checksum64 = 'D3DB11826F3BDD35992CAE547E2DF1D30A7592264E6B28B03776EB0935400D27'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.29.11-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
